const buildState = ({ theme, color, backgroundColor, borderColor }) => {
	return {};
};

const toaster = (theme) => ({
	'.toasters': {
		position: 'fixed',
		zIndex: 10,
		'&--topLeft': {
			top: '3rem',
			left: '3rem',
		},
		'&--topCenter': {
			top: '3rem',
			left: '50%',
			transform: 'translate(-50%, 0%)',
		},
		'&--topRight': {
			top: '3rem',
			right: '3rem',
		},
		'&--rightCenter': {
			top: '50%',
			transform: 'translate(0%, -50%)',
			right: '3rem',
		},
		'&--bottomRight': {
			bottom: '3rem',
			right: '3rem',
		},
		'&--bottomCenter': {
			bottom: '3rem',
			left: '50%',
			transform: 'translate(-50%, 0%)',
		},
		'&--bottomLeft': {
			bottom: '3rem',
			left: '3rem',
		},
		'&--leftCenter': {
			top: '50%',
			transform: 'translate(0%, -50%)',
			left: '3rem',
		},
		[`@media (max-width: ${theme('screens.sm-m.max')})`]: {
			left: '2rem',
			with: 'auto',
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(toaster(theme));
};

module.exports.toaster = toaster;
